### Function

# GLib List alloc

#### Declaration

    GList*
    g_list_alloc (
      void
    )

#### Description

Allocates space for one `GList` element. It is called by g_list_append(), g_list_prepend(), `g_list_insert()` and `g_list_insert_sorted()` and so is rarely used on its own.

This function is not directly available to language bindings.

#### Return value

Type: A list of `gpointer`

A pointer to the newly-allocated `GList` element.

The data is owned by the called function.